Class FoldersCreateBuilder

java.lang.Object
com.dropbox.core.v2.paper.FoldersCreateBuilder

public class FoldersCreateBuilder extends Object
The request builder returned by DbxUserPaperRequests.foldersCreateBuilder(java.lang.String).

Use this class to set optional request parameters and complete the request.

  • Method Details

    • withParentFolderId

      public FoldersCreateBuilder withParentFolderId(String parentFolderId)
      Set value for optional field.
      Parameters:
      parentFolderId - The encrypted Paper folder Id where the new Paper folder should be created. The API user has to have write access to this folder or error is thrown. If not supplied, the new folder will be created at top level.
      Returns:
      this builder
    • withIsTeamFolder

      public FoldersCreateBuilder withIsTeamFolder(Boolean isTeamFolder)
      Set value for optional field.
      Parameters:
      isTeamFolder - Whether the folder to be created should be a team folder. This value will be ignored if parent_folder_id is supplied, as the new folder will inherit the type (private or team folder) from its parent. We will by default create a top-level private folder if both parent_folder_id and is_team_folder are not supplied.
      Returns:
      this builder
    • start

      Issues the request.
      Throws:
      PaperFolderCreateErrorException
      DbxException